squeekboard (1.14.0pureos0~amber0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * data: Split into loading and parsing
  * layout: Remove unused code
  * build: Fix unnecessary shell quotes
  * popover: Allow spanning outside panel area
  * cargo: Update dependencies before release

  [ undef ]
  * Fix typos jp keyboard comments

  [ anteater ]
  * use the correct GtkStyleProviderPriority to indicate that the styles are provided by the application
  * remove some unnecessary unsafe code

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 15 May 2021 12:45:20 +0000

squeekboard (1.13.0pureos0~amber0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * layout: Latch keys when clicked twice
  * layout: Add stateless view switching
  * layout: Plug in stateless view switching
  * layout: Remove the little abomination of view change promise
  * view: Ąto-unlatching when multiple latching buttons pressed
  * renderer: Bring button drawing closer to Rust
  * ffi: Eliminate squeek_button and squeek_row
  * imservice: Increment serials on receiving done, not sending commit
  * input-method: Fix commit/done mixup in protocol text
  * CI: fix xheck_tag to be compatible with Amber
  * italian: Fix colon
  * popover: Fix prematurely deallocated CString
  * Rust: Remove unnecessary no_mangle statements to silence warnings
  * renderer: Reduce reliance on knowing the transform
  * renderer: Split mutable geometry and place it directly in GtkKeyboard
  * Revert "moved data/langs/he_IL.txt -> data/langs/he-IL.txt to better conform with existing translations."
  * layout: Make it possible to opt out of latching per-key
  * renderer: Mark latched buttons differently than locked
  * appearance: Colour latched/locked according to design
  * docs: Describe view switching
  * language-terminal: Place keyboards in a sub-path
  * layout selection: Fix emoji and number
  * rust: Fix compiler warnings
  * layout: Take into account text purpose again
  * layouts: Make selection testable
  * layouts: Stop assuming that layout name always changes on switch
  * Cargo: Version bump

  [ J.D. Laub ]
  * Add US Dvorak layout (and Colemak wide)
  *     Add US Dvorak layout (and Colemak wide)

  [ Jordi Masip ]
  * Catalan keyboard layout

  [ Myth ]
  * Added hebrew keyboard layout

  [ David96 ]
  * Add Mod4 (Windows) key

  [ Panawat Wong-klaew ]
  * Add wide Thai keyboard layout

  [ Guido Günther ]
  * server-main: Add quit()
  * server-main: Properly register to gnome-session (Closes: #274)

  [ Kozova1 ]
  * Added Hebrew translations for most layouts.
  * moved data/langs/he_IL.txt -> data/langs/he-IL.txt to better conform with existing translations.
  * Fixed Hebrew layout.
  * moved data/langs/he_IL.txt -> data/langs/he-IL.txt to better conform with existing translations.

  [ M33 ]
  * Revert "Update tests/meson.build"

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 12 Apr 2021 10:40:32 +0000

squeekboard (1.12.0pureos0~amber0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * docs: Correct Cargo update instructions
  * visibility: Centralize keyboard panel visibility policy and handling
  * build: Fix release
  * tests: Prefer the env var for finding test layouts
  * tests: Explicitly pass source directory to tests
  * debian: Build reproducibly
  * tests: Allow legacy mode to have much longer tests.
  * build: Enable unused warnings in C
  * build: Enable wformat to remove warnings about missing wformat
  * build: Fail on any C warnings when strict
  * data: Made data flow in fallback clearer
  * data: Flattened layout fallback function
  * layouts: Use base as fallback for alternative layouts
  * layouts: Simplify the main flow of source list
  * tests: Add some description to the list of tested layouts
  * layout_names: Unmess the list of builtin layouts
  * dbus: Reset hints if text input missing
  * visibility: Stop calling GTK functions from the visibility manager

  [ Wannaphong Phatthiyaphaibun ]
  * Add thai keyboard
  * Update resources.rs
  * Update meson.build
  * escape " on thai keyboard

  [ clonex10100 ]
  * Added US Colemak Keyboard Layout

  [ Henry-Nicolas Tourneur ]
  * d/rules: fix an FTBFS on mips64el with GOT > 64kb
  * d/rules: export RUSTFLAGS only on architecture that needs it
  * d/rules: export RUSTFLAGS only on architecture that needs it

  [ Jiří Stránský ]
  * Add Czech keyboard layouts

  [ Stefan Grotz ]
  * Esperanto keyboard

  [ Vladimir ]
  * Bulgarian language keyboard layout

  [ Vladimir Stoilov ]
  * bulgarian add translation and to needed lists
  * Fix bulgarian layout size

  [ Andreas Rönnquist ]
  * no: Use wide button switching between numbers, symbols and base

  [ jranaraki ]
  * Farsi/Persian keyboard layout
  * Farsi/Persian keyboard layout
  * Added requirements to resources.rs and meson.build
  * Updated the layout to provide more convenient and faster typing experience

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sun, 10 Jan 2021 09:43:42 +0000

squeekboard (1.11.1) amber-phone; urgency=medium

  [ Mark Müller ]
  * keyboard: Fix semicolon in German layout
  * keyboard: Move semicolon in German layout to numbers view replacing redundant comma key

  [ Dorota Czaplejewicz ]
  * imservice: Set up UI according to current needs when it shows up
  * UI: Keep visibility factors in a central place
  * cargo: Update deps

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 21 Nov 2020 11:08:06 +0000

squeekboard (1.11.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * UI: Delay hiding only when leaving a text field
  * ui: Cancel hiding delay when activity requested again
  * Update dependencies

  [ Fabio Tomat ]
  * Update fur-IT.txt fix typo for Spanish

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 14 Nov 2020 06:46:28 +0000

squeekboard (1.10.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * virtual_keyboard: Fix desynced modifiers state
  * rust: Fix deprecation warnings
  * docs: Tutorial syntax cleanups
  * docs: Reorganize tutorial
  * build: Error on repeating declarations
  * keymap: Generate from symbol map, not layout
  * data: Restore testability of action->keysym conversion
  * syntax: Let older rustc understand symbolmap's lifetime
  * debian: Insert a "breaks" for librem5-base < 24
  * keymap: Keep keymap fd management in one place
  * vkeyboard: Use a generic slice instead of a vector
  * tests: Check for missing return in builtin layouts except emoji
  * keymap: Concentrate special handling of BackSpace, which is implicit in Erase action
  * keymaps: Use multiple key maps, each within the limit of what Xorg can accept.
  * build: Avoid MaybeUninit on older Debian
  * tests: Fix bad field access
  * cargo: Update dependencies

  [ Guido Günther ]
  * eekboard-context-service: Return early if schema is unavailable
  * treewide: Use new style function definitions
  * build: Enable '-Wold-style-definition' '-Wstrict-prototypes'
  * build: Enable '-Wunused-function'
  * eekboard-context-service: Drop EEKBOARD_CONTEXT_SERVICE_GET_PRIVATE
  * keyboard: Fix warning
  * layout: Fix warning
  * gitlab-ci: Enable --Werror
  * eek-keyboard: Don't ignore return value
  * build: Enable -Winit-self
  * build: Enable -Wformat-security
  * build: Enable -Wmaybe-uninitialized
  * treewide: Drop redundant declarations
  * build: Enable -Wredundant-declarations
  * ServerContextService: Drop GObject boilerplate
  * build: Enable '-Wformat-nonliteral'
  * eekboad-context-service: Drop signal class handler
  * eekboard-context-service: Drop docstrings for inexistent functions
  * eekboard-context-service: Drop the GObject boilerplate
  * eekboard-context-service: Drop private struct
  * server-context-service: Consistenty name self argument 'self'
  * server-context-service: swap signal arguments
  * server-context-service: Don't show keyboard when disabled (Closes: #222)

  [ Nazarii Kretovych ]
  * Add Ukrainian keyboard layout.

  [ Benjamin Schaaf ]
  * Fix spelling mistakes in doc/hacking.md
  * Expand the development documentation in the readme
  * Expand key press detection to the edges of the view's bounding box
  * Sort layouts by type before sorting by name
  * Fix leak in level_keyboard_new
  * Fix leak endlessly adding a resource path to the default theme
  * Add settings option to popover

  [ Al ]
  * proposal for belgian layout (copy of fr)
  * alphabetical order for src/resources.rs tests/meson.build

  [ Arnaud Ferraris ]
  * eek-gtk-keyboard: use virtual resolution to check arrangement kind
  * server-context-service: optimize height calculation
  * keyboards: add wide French layout
  * keyboards: add wide Belgian layout
  * keyboards: add wide terminal layout

  [ Fabio Tomat ]
  * Revert "Add friulian keyboard"

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 19 Oct 2020 14:07:01 +0000

squeekboard (1.9.3) amber-phone; urgency=medium

  [ Björn Tantau ]
  * Show more useful keys at the same time.
  * Add Ctrl and Alt modifier keys.
  * Add missing Ê key.
  * Make f-keys slightly wider.
  * Add Menu key.

  [ Guido Günther ]
  * d/rules: Only remove Cargo.lock if it exists
  * eek: Drop libcanberra usage
  * debian: Build-depend on libfeedback
  * eek-gtk-keyboard: Trigger event feedback on button press (Closes: #166)

  [ Dorota Czaplejewicz ]
  * build: Add missing gio-unix dependency
  * build: Make compatible with Debian Bullseye
  * debian: Add amber to legacy distro list
  * ci: Add amber job
  * debian: Require lsb-release
  * size: Hardcode size to work around screen rotation
  * ci: Re-add x64 Buster build
  * italian: Fix space and period

  [ Sebastian Krzyszkowiak ]
  * Revert "Merge branch 'btantau-master-patch-76686' into 'master'"
  * Terminal layout: another approach

  [ Luís Fernando Stürmer da Rosa ]
  * Brazilian Portuguese Keyboard Layout.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 05 Aug 2020 16:16:08 +0200

squeekboard (1.9.2) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * keyboard: Remove unused code
  * gsettings: Don't crash when unavailable
  * dbus: Don't crash if can't make a connection
  * gsettings: Don't crash on switching when unavailable
  * layout: Split out choice to a struct on its own
  * renderer: Simplify by dropping gobjectness
  * levelkeyboard: Rearrange to make future conversion easier
  * layout: Minor generalizations
  * Remove unused code
  * sizing: Create a standalone UI shape manager
  * sizing: Ignore scaling factor for layout selection
  * CI: Fix typo
  * Update rust deps for release

  [ Andreas Rönnquist ]
  * Swedish keyboard, wide button switching between numbers, symbols and base
  * More fixes of button sizes
  * Folder is doc, not docs

  [ uzanto ]
  * Add new file
  * Replace duplicated show_symbols by show_eschars and removed "Delete" button that it's doing nothing

  [ Arnaud Ferraris ]
  * keyboards: fr: fix keyboard layout
  * keyboards: fr: make sure the layout fits the screen
  * resources: include French keyboard layout
  * keyboards: fr: improve consistency with other layouts
  * keyboards: fr: improve diacritics layout
  * tests: add french layout

  [ Vlad ]
  * Fresh Russian layout

  [ Jordi Masip ]
  * Removed unused dependency 'libcroco'

  [ Florian Klink ]
  * sm.puri.Squeekboard.desktop: make path to Exec= absolute

  [ Ole Guldberg ]
  * Danish keyboard layout
  * Danish keyboard layout
  * add test for danish layout

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 01 Jun 2020 09:39:12 +0000

squeekboard (1.9.1) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * layout: Improve press handling
  * settings: Handle empty settings
  * Variant: Use proper pointer conversion between C and Rust
  * meta: Add doap file
  * modifiers: Support Control and Alt
  * CI: Test that any bump to changelog has a corresponding tag
  * docs: Add the guiding principle
  * hacking: Move into docs/

  [ &t ]
  * Fix minor comment typos

  [ Dorota Czaplejewicz ]
  * cargo: Bump package versions before release

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sun, 08 Mar 2020 10:04:29 +0000

squeekboard (1.9.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * imservice: Add commit_string method
  * submission: Handle submitting strings
  * input_method: Use for erasing
  * logging: Use in merged functions
  * translations: Remove redundant ones
  * translations: Translate builtin layouts
  * greek: Rename to gr which is used by gnome settings

  [ Sebastian Krzyszkowiak ]
  * layouts: Add Polish layouts

  [ Dorota Czaplejewicz ]
  * locks: Draw based on current view
  * locking: Lock keys statelessly
  * layouts: Better accented uppercase in PL
  * emoji: Add more choices
  * row: Eliminate angle
  * layout: Center views relative to each other and the layout bounds
  * drawing: Generalized foreach_visible_button
  * variant: Fix double-free
  * variant: Fix leak
  * keyboard_layout: Fix leak
  * layout: Improve scoping of locked variable
  * terminal: Make */ easier to reach

  [ Sebastian Krzyszkowiak ]
  * layouts: terminal: Use altline outline for dot key

  [ Dorota Czaplejewicz ]
  * text input: Disable erasing
  * cargo: Update deps

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 19 Feb 2020 14:32:39 +0000

squeekboard (1.8.1) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * action: Rename Level to View
  * keyboard: Introduce a KeyCode type wrapping u32
  * layout: Centralize handling key releases
  * layout: Make handling presses uniform
  * UI: Drop indirection for show/hide functions
  * managers: Move visible flag to UI manager
  * dbus_service: Remove unused function
  * dbus: Remove unneeded gobjectness
  * dbus: Rename handler from eekboard_service
  * context: Moved keymap setting together with its generation
  * key-emitter: Remove unused
  * eekboard_context_service: Drop unused enable property
  * services: Split out layout management from EekboardContextService
  * submission: Move away from virtual-keyboard
  * submission: Create a new wrapper over imservice
  * imservice: Limited scope of unsafe
  * EekGtkKeyboard: Use a direct reference to EekboardContext
  * submission: Take over virtual_keyboard handling
  * keyboard: Cleanups of unused code
  * levelkeyboard: Drop unused manager references
  * keyboard: Gather up keymap handling, drop layout
  * submission: Remove wildcard reexport
  * imservice: Rename commit_state to done to match protocol
  * ci: Clean up `..` before it's searched for artifacts
  * dbus: Log error on dbus exit
  * logging: Try to improve common operations
  * imservice: Return something more resembling an Error on failure
  * logging: Unified to remove random eprint calls
  * press_key: Use proper logging
  * number: Fix keysym for Return
  * build: Strip clap of optional features
  * layouts: Fix segfault on switching to wide
  * font: Use font from style context
  * font: Only pass relevant data to label renderer

  [ Sebastian Krzyszkowiak ]
  * layout: terminal: Swap positions of preferences and actions button
  * layout: terminal: Show actions button on all views
  * layout: terminal: Replace actions button with period on symbols view

  [ Dorota Czaplejewicz ]
  * setup: Connect ui to the state manager
  * debian: Add missing commas

  [ David Boddie ]
  * Tidy build file and docs
  * Use pip to install recommonmark

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Fri, 31 Jan 2020 09:59:12 +0000

squeekboard (1.8.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * translations: Use gnome-desktop's xkb info database for layout names
  * translations: Make the code cleaner
  * overlay: Add terminal
  * eek-layout: Remove unused
  * pre-release: Update deps

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 14 Jan 2020 13:55:00 +0000

squeekboard (1.7.0) amber-phone; urgency=medium

  * New terminal layout appearing on terminal input hint

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 08 Jan 2020 11:53:07 +0000

squeekboard (1.7.0) amber-phone; urgency=medium

  * New terminal layout appearing on terminal input hint

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 08 Jan 2020 11:53:07 +0000

squeekboard (1.6.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * tools: Move entry.py
  * build: Move building of squeekboard-test-layout to tools
  * packaging: Install entty.py as squeekboard-entry
  * Remove unused build dependencies
  * Remove unused header generator
  * logging: Move all facilities to one file
  * logging: Described the design
  * logging: Add described log levels
  * popover: Install emoji layout
  * popover: Show overlays as selected
  * Fix old Rust woes
  * emoji: Add a passable layout
  * Fix g_ and stdlib allocation/free mismatches

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Thu, 02 Jan 2020 12:02:50 +0000
 
squeekboard (1.5.0) amber-phone; urgency=medium

  [ Dorota Czaplejewicz ]
  * keycodes: Sort to eliminate runtime indeterminism
  * switcher: Switch layout on menu item click
  * Drop squeek_key
  * renderer: Remove some unneeded vars
  * renderer: Simplified outline rendering
  * renderer: Drop row from button rendering
  * renderer: Drop unused params
  * renderer: Simplify surface rendering
  * rendering: Simplify Cairo context usage, remove unneeded calls.
  * rendering: Remove unneeded redraw after button release
  * renderer: Remove unused locked key render function
  * renderer: Simply cut off when painting outside bounds
  * renderer: Render whole keyboard the same way as pressed buttons

  [ Mark Müller ]
  * layout: add German wide layout

  [ Dorota Czaplejewicz ]
  * renderer: Remove unused functions
  * cleanup: Remove references to squeek_view
  * cleanup: Unbox View and Row
  * cleanup: Remove unused single frame draw
  * positioning: Calculate sizes instead of storing, move position out of widgets
  * positioning: Clean up unused code
  * Fix old Rust woes

  [ Mark Müller ]
  * layout: add Japanese Kana wide layout

  [ Dorota Czaplejewicz ]
  * Entry test: Add Terminal input purpose
  * readme: Add note about Cargo dependencies
  * Create a library/UI module separation
  * hacking: Add DCO and licensing requirement
  * Fix internal .md link

  [ Mark Müller ]
  * squeekboard-test-layout: add argument parsing and some more output

  [ Dorota Czaplejewicz ]
  * Use clap in the lockfile
  * parsing: Remove bounds which weren't used anyway
  * layout: Respect margins
  * CI: Build arm64 .deb

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 23 Dec 2019 11:58:57 +0000

squeekboard (1.4.0) amber-phone; urgency=medium

  * "text" property in layouts
  * Adjusts to user's color scheme

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 02 Dec 2019 19:37:01 +0000

squeekboard (1.3.2) amber-phone; urgency=medium

  * Make sure all key presses get accepted by the compositor

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 26 Nov 2019 15:36:27 +0000

squeekboard (1.3.1) amber-phone; urgency=medium

  * Update and fix layouts and languages
  * Make tests less likely to fail

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 20 Nov 2019 22:10:48 +0000

squeekboard (1.3.0) amber-phone; urgency=medium

  * Language selection popup
  * Swedish and Finnish layouts

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 16 Nov 2019 15:38:14 +0000

squeekboard (1.2.2) amber-phone; urgency=medium

  * Landscape mode

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 30 Oct 2019 12:38:39 +0000

squeekboard (1.2.1) amber-phone; urgency=medium

  * Use different distribution

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 08 Oct 2019 10:56:10 +0000

squeekboard (1.2.0) unstable; urgency=medium

  * Use Cargo-based dependencies

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 24 Sep 2019 10:42:15 +0000

squeekboard (1.1.0) unstable; urgency=medium

  * Use new keyboard layout format

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 02 Sep 2019 10:12:02 +0000


squeekboard (1.0.10) unstable; urgency=medium

  * Use a shared DBus definition

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 02 Jul 2019 20:12:02 +0000

squeekboard (1.0.9) unstable; urgency=medium

  * Initial release.

 -- David Boddie <david.boddie@puri.sm>  Tue, 25 Jun 2019 19:33:00 +0200
